Package Details: orbital-git 0.1.883-1

Git Clone URL: https://aur.archlinux.org/orbital-git.git (read-only)
Package Base: orbital-git
Description: A Wayland shell client
Upstream URL: https://github.com/giucam/orbital
Licenses: LGPL
Submitter: klusark
Maintainer: garydelaney
Last Packager: garydelaney
Votes: 14
Popularity: 0.029139
First Submitted: 2013-08-12 01:03
Last Updated: 2017-02-01 04:09

Latest Comments

zaplo commented on 2017-09-25 18:48

This doesn't build for me.

/home/zaplo/.cache/pacaur/orbital-git/src/orbital/src/compositor/drm-backend/drm-backend.cpp: member function ”virtual bool Orbital::DrmBackend::init(weston_compositor*)”:
/home/zaplo/.cache/pacaur/orbital-git/src/orbital/src/compositor/drm-backend/drm-backend.cpp:79:12: error: ”struct weston_drm_backend_config” has no member named ”connector”; did you mean ”__comp_ctor ”?
config.connector = 0;

giucam commented on 2017-05-12 10:18

Ah indeed, i see now that weston-git a dependency of the PKGBUILD... Ideally it would instead depend on the "virtual provision" libweston-2, instead of a weston package, where libweston-2 would be provided by the current weston in extra, or any other package.

giucam commented on 2017-05-12 10:15

libweston-2 is provided by the current stable version of weston (2.0). Did you maybe install it from git master?

ibrokemypie commented on 2017-05-12 06:28

This wont build for me due to lacking of "libweston-2"
Anyone got this working?

jevv commented on 2017-04-07 18:04

Can orbital-git depend on plain "weston", rather than "weston-git" please? Also, can the source "git:" can be changed to "git+https"?

Yup, issue 46 is fixed, and compiling orbital against latest released "weston" just works, :-)

giucam commented on 2017-04-07 09:12

It now builds again with weston 2.0 or master.

jevv commented on 2017-04-07 05:19

Notice orbital-git now doesn't even build against weston-orbital-git either.

jevv commented on 2017-02-25 04:35

The commit removing the bool in weston-git:

https://github.com/wayland-project/weston/commit/605ac8e685b24c0a88a86f6d64d0fb36ccd26270

A temporal solution could be to install weston-git for the last commit prior to the one removing the bool:

https://github.com/wayland-project/weston/commit/e23697f5935e8dd0722b3fbcb8ba1bf046c48379

Like:

git://anongit.freedesktop.org/wayland/weston#commit=e23697f5935e8dd0722b3fbcb8ba1bf046c48379

That of course works as long as weston-git doesn't get updated, and the work around comes from a different package. I'm wondering if a patch removing the bool setting to false would be better, :-)

jevv commented on 2017-02-25 03:48

/tmp/yaourt-tmp-vasqueja/aur-orbital-git/src/orbital/src/compositor/drm-backend/drm-backend.cpp:84:12: error: ‘struct weston_drm_backend_config’ has no member named ‘use_current_mode’
config.use_current_mode = false;

Notice the issue has been reported upstream:

https://github.com/giucam/orbital/issues/46

Would it be safe to just remove the setting for the bool that is no longer part of the drm_backend structure?

garydelaney commented on 2017-01-31 21:25

sorry for the delay on the updated dependency

All comments